//imports
import javax.swing.*;
import java.awt.*;
import java.lang.Object;
  
/**
 * Classe FenAjout
 * Fentre d'ajout d'un utilisateur
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */
public class FenAjout extends JFrame
{
    //variables
    private JFrame F ;
    private JPanel P,P2,P3;
    private JLabel lab1,lab2,lab3,lab4;
    private JTextField nom,pass;
    private JButton bAjouter, bFermer;
    private JComboBox priv;
    
    /**
    * Constructeur de la classe
    * @param la liste d'utilisateurs
    */
    public FenAjout(ListeUtilisateurs listeU)
    {
       P = new JPanel(new BorderLayout());
       P2 = new JPanel(new GridLayout(3,2));
       P3 = new JPanel();       
       lab1 = new JLabel("Nom : ");
       lab2 = new JLabel("Mot de passe : ");
       lab3 = new JLabel("Privilege : ");
       lab4 = new JLabel("AJOUT D'UTILISATEUR");
       nom = new JTextField();
       pass = new JTextField();
       priv = new JComboBox();
       priv.addItem("1");
       priv.addItem("2");
       priv.addItem("3");
       priv.addItem("4");
       bAjouter = new JButton("Ajouter");
       bFermer= new JButton("Fermer");
       
       P2.add(lab1);
       P2.add(nom);
       P2.add(lab2);
       P2.add(pass);
       P2.add(lab3);
       P2.add(priv);

       P3.add(bAjouter);
       bAjouter.addActionListener(new AjouterEcouteur(this,listeU));
       P3.add(bFermer);
       bFermer.addActionListener(new FermerEcouteur(this));
       P.add(P2,BorderLayout.CENTER);
       P.add(P3,BorderLayout.SOUTH);
       P.add(lab4,BorderLayout.NORTH);
       
       this.setContentPane(P);
       this.pack();
       setLocation(200,200);
       setResizable(false);
       }
    
    /**
    * Accesseur de la zone de texte du nom
    * @return le contenu de la zone de texte du nom
    */
    public String getNom()
    {
        return nom.getText();
    }

    /**
    * Accesseur de la zone de texte du password
    * @return le contenu de la zone de texte du password
    */
    public String getPassword()
    {
        return pass.getText();
    }

    /**
    * Accesseur de la valeur slectionne dans la combo box du privilge
    * @return le valeur du privilge slectionne dans la combo box
    */    
    public int getPrivilege()
    {
        return new Integer((String)priv.getSelectedItem()).intValue();
    }
}
