//imports
import javax.swing.*;
import java.awt.*;

/**
 * Classe FenIdentification
 * Fentre d'identification de l'utilisateur
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */
class FenIdentification extends JFrame
{
   //Zones de Texte 
   private JTextField login;    
   private JPasswordField pass;  
   // Boutons de commandes
   private JButton Bannuler;    
   private JButton Bok;   
   //JLabel
   private JLabel lab1, lab2, lab3;
   //Liste des utilisateurs de l'application
   private ListeUtilisateurs liste; 
   
   /**
   * Constructeur
   * @param listeUtils la liste des Utilisateurs cre dans la classe Application.
   */   
   public FenIdentification(ListeUtilisateurs listeUtils) 
   {   
       liste=listeUtils;
       
       //Les JPanels
       JPanel Phaut = new JPanel();     
       JPanel Pcentre = new JPanel();     
       JPanel Pcentre2 = new JPanel();     
       JPanel Pbas = new JPanel();     
       JPanel P = new JPanel();     
       
       //Bouton OK et son listener
       Bok = new JButton ("OK");
       BoutonEcouteurOK be = new BoutonEcouteurOK(this);
       Bok.addActionListener(be);
       //bouton Annuler et son listener
       BoutonEcouteurAnnuler be2 = new BoutonEcouteurAnnuler(this);
       Bannuler = new JButton ("Annuler");
       Bannuler.addMouseListener(be2);      
       
       //en-tte fentre avec une bordure
       lab1 = new JLabel("        IDENTIFICATION :        ");
       lab1.setBorder(BorderFactory.createEtchedBorder() ); 
       
       //champs de saisies et labels associs
       lab2 = new JLabel("  Nom : ");
       lab3 = new JLabel("  Mot de passe :");
       login = new JTextField  (10);
       pass = new JPasswordField (10);
       
       //gridLayout pour le panel central
       Pcentre.setLayout ( new GridLayout(2,2));
       Pcentre.add(lab2);  
       Pcentre.add(login);  
       Pcentre.add(lab3);        
       Pcentre.add(pass);  

       //en-tte dans la parite haute
       Phaut.add(lab1);
       //boutons dans la partie basse
       Pbas.add (Bok);              
       Pbas.add (Bannuler);       

       //affectation d'un borderLayout au panel principal
       P.setLayout( new BorderLayout() );   
       //ajout des parties haute, centre et bas
       P.add (Phaut, BorderLayout.NORTH);
       P.add (Pcentre, BorderLayout.CENTER);
       P.add (Pbas, BorderLayout.SOUTH);
    
       //affectation du contenu  la fentre
       this.setContentPane(P);
       
       //taille optimale et affichage
       pack();
       setLocation(200,200);
       setTitle("TP Java");
       setResizable(false);
       setVisible(true);
   }
   
   /**
   * Modificateur de label de fentre
   * @param nomLabel le nouveau nom de la fentre.
   */   
   public void setLabel( String nomLabel)    
   {
       lab1.setText(nomLabel);
   }
   
   /**
   * Modificateur de login
   * @param nomLabel le nouveau login propos.
   */ 
   public void setLogin( String nomLabel)    
   {
       login.setText(nomLabel);
   }
   
   /**
   * Accesseur du login
   * @return le login saisi.
   */ 
   public String getLogin( )    
   {
       return login.getText();
   }
   
   /**
   * Accesseur du password
   * @return le password saisi.
   */ 
   public String getPassword( )    
   {
       return new String (pass.getPassword());
   }
   
   /**
   * Accesseur du bouton annuler
   * @return le bouton annuler.
   */ 
   public JButton getAnnuler ()
   {
      return Bannuler;   
   }
    
   /**
   * Fonction de vrification de bonne authentification
   * @param log le login dsir
   * @param pwd le password dsir.
   * @return un boolen spcifiant si l'authentification est bonne.
   */ 
   public boolean goodIdentification(String log,String pwd)
   {
       //rcupration de l'indice dans la liste du login pass en paramtre   
       int indice = liste.getIndice(log);
       //si le login est trouv, on vrifie le password
       if (indice!=-1)
       {         
          if (liste.getPassword(indice).equals(pwd))
              return true;
          else
              return false;
       }
       else
           return false;
   }
   
   /**
   * Accesseur de la liste d'Utilisateurs
   * @return la liste des Utilisateurs.
   */ 
   public ListeUtilisateurs getListeUtilisateurs()
   {
       return liste;
   }

   /**
   * Accesseur du privilge de l'utilisateur 
   * @param le login de l'utilisateur
   * @return le privilge de l'utilisateur.
   */     
   public int getPrivilege(String log)
   {
       return liste.getPrivilege(liste.getIndice(log));
   }
}
       //login.setBorder ( BorderFactory.createLineBorder(Color.RED) );  // ou  dans javax.swing.border.
