import javax.swing.*;

/**
 * Classe FenPrincipale
 * Fentre principale de l'application
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */
public class FenPrincipale extends JFrame
{
    //variables   
    private ListeUtilisateurs liste;
    
    /**
    * Constructeur de la classe
    * @param listeU liste des Utilisateurs
    */
    public FenPrincipale(ListeUtilisateurs listeU,String login)
    {
       liste=listeU;
       
       JPanel P = new JPanel();   
       
       //Listeners
       FenSupprimer fenSup =  new FenSupprimer(listeU);
       MenuEcouteur ecouteur = new MenuEcouteur(new FenAjout(liste));
       MenuEcouteur ecouteur2 = new MenuEcouteur(this); 
       
       //barre de menu   
       JMenuBar jmb = new JMenuBar ();
       
       //Menu Gestion
       JMenuItem j1,j2,j3;
       JMenu jmFile = new JMenu("Gestion");
       //si l'utilisateur identifi possde un privilge a 1 (admin)
       if (liste.getUtilisateur(liste.getIndice(login)).getPrivilege() == 1)   
       {   
           //Item d'ajout d'utilisateur   
           j1 = new JMenuItem("Ajouter utilisateur");
           j1.addActionListener(ecouteur);
           jmFile.add(j1);
           
            //Item d'ajout d'utilisateur   
           j3 = new JMenuItem("Supprimer  utilisateur");
           j3.addActionListener(ecouteur);
           jmFile.add(j3);
       }
       //Item de visualisation de la liste
       j2 = new JMenuItem("Voir la liste");
       jmFile.add(j2);
       j2.addActionListener(ecouteur2);      
       jmb.add(jmFile);       
       
       //affectation du panel  la frame
       this.setContentPane(P);
       //configuration de la frame   
       this.setJMenuBar (jmb );
       this.setSize(600,600);
       //this.pack();
       this.setVisible(true);
    }  
    
    /**
    * Accesseur  la liste d'utilisateurs
    * @return la liste des Utilisateurs
    */
    public ListeUtilisateurs getListe()
    {
        return liste;
    }
}
