
/**
 * Classe Utilisateur
 * 
 * @author Montet/Villemaine 
 * @version 0.1
 */

class Utilisateur
{
    //Variables   
    private String login;    //login de l'utilisateur   
    private String password; //mot de passe de l'utilisateur
    private int privilege;   //privilge de l'utilisateur

    /**
     * Constructeur de la classe sans paramtres
     */
    public Utilisateur()
    {
        login="";
        password="";
        privilege=0;
    }
    
    /**
     * Constructeur de la classe avec paramtres
     * @param log le login dsir pour l'utilisateur.
     * @param pwd le password dsir pour l'utilisateur.
     * @param pvg le privilge dsir pour l'utilisateur.
     */
    public Utilisateur(String log, String pwd, int pvg)
    {
        login=log;
        password=pwd;
        privilege=pvg;
    }
    
    /**
     * Modificateur du login
     * @param log le nouveau login dsir.
     */
    public void setLogin(String log)
    {
        login=log;
    }

    /**
     * Modificateur du password
     * @param pwd le nouveau password dsir.
     */
    public void setPassword(String pwd)
    {
        password=pwd;
    }

    /**
     * Modificateur du privilge
     * @param pvg le nouveau privilge dsir.
     */
    public void setPrivilege(int pvg)
    {
         privilege=pvg;
    }
    
    /**
     * Redfinition du comparateur entre deux utilisateurs
     * sur le login
     * @return un boolen : vrai si le login est le mme, faux sinon.
     */
    public boolean equals(Object util)
    {
        return(this.login.equals(((Utilisateur)util).login));
    }
    
    /**
     * Accesseur du login 
     * @return le login de l'utilisateur.
     */
    public String getLogin()
    {
        return login;
    }

    /**
     * Accesseur du password
     * @return le password de l'utilisateur.
     */
    public String getPassword()
    {
        return password;
    }

    /**
     * Accesseur du privilge
     * @return le privilge de l'utilisateur.
     */
    public int getPrivilege()
    {
         return privilege;
    }

    /**
     * Redfinition de la mthode toString pour l'affichage
     * d'un utilisateur
     * @return un chaine de charactres formatte contenant les informations sur l'utilisateur
     */
    public String toString()
    {
        return "login : "+login+" password : "+password+" privilege : "+privilege;    
    }
}
